﻿using Backend.Api.Data;
using Backend.Api.Data.Services;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Backend.Api.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class UsersController : ControllerBase
    {
        private readonly UserService _userService;
        public UsersController(UserService userService)
        {
            _userService = userService;
        }
        
        [HttpPost("Add")]
        public ActionResult Add(User user)
        {
            _userService.Add(user);
            return Ok(user);
        }

        [HttpDelete("Remove")]
        public ActionResult Remove(long id)
        {
            _userService.Remove(id);
            return Ok();
        }

        [HttpPatch("Update")]
        public ActionResult Update(long id, User user)
        {
            _userService.Update(id, user);
            return Ok(user);
        }

        [HttpGet("Get")]
        public ActionResult GetById(long id)
        {
            var user = _userService.Get(id);
            return Ok(user);
        }

        [HttpGet("GetVehicles")] 
        public ActionResult GetVehicles(long id)
        {
            var vehicles = _userService.GetVehicles(id);
            return Ok(vehicles);
        }
    }
}
