﻿using Backend.Api.Data;
using Backend.Api.Data.Services;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Backend.Api.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class VehiclesController : ControllerBase
    {
        private VehicleService _vehicleService;
        public VehiclesController(VehicleService vehicleService)
        {
            _vehicleService = vehicleService;
        }

        [HttpPost("Add")]
        public ActionResult Add(Vehicle vehicle)
        {
            _vehicleService.Add(vehicle);
            return Ok(vehicle);
        }

        [HttpDelete("Remove")]
        public ActionResult Remove(long id)
        {
            _vehicleService.Remove(id);
            return Ok();
        }

        [HttpPatch("Update")]
        public ActionResult Update(long id, Vehicle vehicle)
        {
            _vehicleService.Update(id, vehicle);
            return Ok(vehicle);
        }

        [HttpGet("Get")]
        public ActionResult GetById(long id)
        {
            var vehicle = _vehicleService.Get(id);
            return Ok(vehicle);
        }

        [HttpGet("GetOwner")]
        public ActionResult GetOwner(long id)
        {
            var owner = _vehicleService.GetOwner(id);
            return Ok(owner);
        }
    }
}
