﻿namespace Backend.Api.Data.Services
{
    public class UserService
    {
        private readonly DataContext _context;
        public UserService(DataContext context)
        {
            _context = context;
        }

        public void Add(User user)
        {
            _context.Users.Add(user);
            _context.SaveChanges();
        }
        
        public void Remove(long id)
        {
            var user = _context.Users.FirstOrDefault(x => x.Id == id);
            if (user != null)
            {
                _context.Users.Remove(user);
                _context.SaveChanges();
            }
        }

        public void Update(long id, User newUser)
        {
            var oldUser = _context.Users.FirstOrDefault(x =>x.Id == id);
            oldUser = newUser;
            _context.SaveChanges();
        }

        public User? Get(long id)
        {
            var user = _context.Users.FirstOrDefault(x => x.Id == id);
            return user;
        }

        public List<Vehicle> GetVehicles(long id)
        {
            var userId = _context.Users.FirstOrDefault(x => x.Id == id).Id;
            var vehicles = _context.Vehicles.Where(x => x.OwnerId == userId).ToList<Vehicle>();
            return vehicles;
        }
    }
}
