﻿namespace Backend.Api.Data.Services
{
    public class VehicleService
    {
        private readonly DataContext _context;
        public VehicleService(DataContext context)
        {
            _context = context;
        }

        public void Add(Vehicle vehicle)
        {
            _context.Vehicles.Add(vehicle);
            _context.SaveChanges();
        }

        public void Remove(long id)
        {
            var vehicle = _context.Vehicles.FirstOrDefault(x => x.Id == id);
            if (vehicle != null)
            {
                _context.Vehicles.Remove(vehicle);
                _context.SaveChanges();
            }
        }
        
        public void Update(long id, Vehicle newVehicle)
        {
            var oldVehicle = _context.Vehicles.FirstOrDefault(x => x.Id == id);
            oldVehicle = newVehicle;
            _context.SaveChanges();
        }

        public Vehicle? Get(long id)
        {
            var vehicle = _context.Vehicles.FirstOrDefault(x => x.Id == id);
            return vehicle;
        }
        public User? GetOwner(long id)
        {
            var ownerId = _context.Vehicles.FirstOrDefault(x => x.Id == id).OwnerId;
            return _context.Users.FirstOrDefault(x => x.Id == ownerId);
        }

    }
}
